EnhancedBars_Options = {

	-- Use true to show drained/recovered portion of the health bar (like many fighting games).

	ShowChange = true,


	-- Use true to show predicted HoT on the health bar (requires that OverTimePredictor is enabled).

	ShowHoT = true,


	-- Use true to show predicted DoT on the health bar (requires that OverTimePredictor is enabled).

	ShowDoT = true,


	-- Use true to show predicted absorb (damage absorption) on the health bar (requires that OverTimePredictor is enabled).
	-- Setting this to false will enable Blizzard's own absorb estimation (which is incomplete in some cases).

	ShowAbsorb = true,


	-- Use true to show predicted necro (healing absorption) on the health bar (requires that OverTimePredictor is enabled).

	ShowNecro = true,


	-- Use true to hide max text on health bars (i.e: 380k / 393k is shortened to 380k).
	-- This option is useful to make more room to see the actual health bar, as text on health bar is quite intrusive.

	HideMaxText = true,
};

local layout = {

	-- Note to users: you can customize colors and timings of EnhancedBars here.

	[-1] = {
		minSpeed = 0.25,   -- Minimal drain speed (in % of full bar per sec)
		maxSpeed = 1.00,   -- Maximal drain speed (in % of full bar per sec)
		adjustTime = 2.00, -- Normal time needed to drain (before applying above min/max)
		pause = {
			["DECREASE"] = 0.50, -- Pause when a new drain occurs
			["INCREASE"] = 0.50, -- Pause when a new recovery occurs
		},
		colors = {
			["DECREASE"] = {r = 1.00, g = 0.00, b = 0.00},
			["INCREASE"] = {r = 0.50, g = 1.00, b = 0.00},
			["DOT"]      = {r = 1.00, g = 0.80, b = 0.00},
			["HOT"]      = {r = 0.00, g = 0.50, b = 0.00},
			["ABSORB"]   = {r = 1.00, g = 1.00, b = 1.00},
			["NECRO"]    = {r = 0.40, g = 0.40, b = 0.60},
		},
	},

};

-- --------------------------------------------------------------------
-- **                            Functions                           **
-- --------------------------------------------------------------------

function EnhancedBars_GetLayout(powerType, mode)
	local info = layout[powerType or -1];
	return info.minSpeed, info.maxSpeed, info.adjustTime, info.pause[mode] or 0, info.colors[mode];
end